# MetaRelation Class Reference
[MetaConfiguration's base classes]

Inheritance diagram for MetaRelation:
[legend]

List of all members.

## Static Public Member Functions

static | create ($id)
static | makeFromName ($name)

## Public Attributes

const | ONE_TO_ONE = 1
const | ONE_TO_MANY = 2
const | MANY_TO_MANY = 3

## Protected Attributes

| $names

## Detailed Description

Definition at line 15 of file MetaRelation.class.php.

## Member Function Documentation

static MetaRelation::create | ( | $ | id | ) | `[static]`

Returns:
  MetaRelation

Definition at line 30 of file MetaRelation.class.php.

References IdentifiableObject::$id.

Referenced by makeFromName().

static MetaRelation::makeFromName | ( | $ | name | ) | `[static]`

Returns:
  MetaRelation

Definition at line 38 of file MetaRelation.class.php.

References IdentifiableObject::$id, NamedObject::$name, and create().

Referenced by MetaConfiguration::processClasses().

Here is the call graph for this function:

## Member Data Documentation

MetaRelation::$names`[protected]`

Initial value:

     array(
                self::ONE_TO_ONE        => 'OneToOne',
                self::ONE_TO_MANY       => 'OneToMany',
                self::MANY_TO_MANY      => 'ManyToMany'
            )

Reimplemented from Enumeration.

Definition at line 21 of file MetaRelation.class.php.

const MetaRelation::MANY_TO_MANY = 3

Definition at line 19 of file MetaRelation.class.php.

Referenced by ContainerClassBuilder::buildContainer(), SchemaBuilder::buildRelations(), AbstractProtoClass::exportPrimitive(), ProtoDAO::fetchCollections(), MetaClassProperty::getRelationColumnName(), ProtoDAO::processPath(), ObjectType::toDropper(), MetaClassProperty::toLightProperty(), and ObjectType::toSetter().

const MetaRelation::ONE_TO_MANY = 2

Definition at line 18 of file MetaRelation.class.php.

Referenced by SchemaBuilder::buildRelations(), AbstractProtoClass::exportPrimitive(), ProtoDAO::fetchCollections(), ProtoDAO::processPath(), ObjectType::toDropper(), MetaClassProperty::toLightProperty(), and ObjectType::toSetter().

const MetaRelation::ONE_TO_ONE = 1

Definition at line 17 of file MetaRelation.class.php.

Referenced by AbstractProtoClass::assemblyObject(), SchemaBuilder::buildTable(), MetaConfiguration::checkRecursion(), MetaConfiguration::checkSanity(), AbstractProtoClass::exportPrimitive(), AbstractProtoClass::fetchEncapsulants(), LightMetaProperty::fillMapping(), LightMetaProperty::fillQuery(), MetaClassProperty::getFetchStrategyId(), LightMetaProperty::isBuildable(), Criteria::joinProperties(), MetaConfiguration::load(), MetaConfiguration::processClasses(), and MetaClassProperty::toLightProperty().

The documentation for this class was generated from the following file:

- meta/classes/MetaRelation.class.php